package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.IpnLog;

/**
 * IpnLogService接口
 * 
 * @author ruoyi
 * @date 2023-11-22
 */
public interface IIpnLogService extends IService<IpnLog>
{
    /**
     * 查询IpnLog
     * 
     * @param id IpnLog主键
     * @return IpnLog
     */
    public IpnLog selectIpnLogById(Long id);

    /**
     * 查询IpnLog列表
     * 
     * @param ipnLog IpnLog
     * @return IpnLog集合
     */
    public List<IpnLog> selectIpnLogList(IpnLog ipnLog);

    /**
     * 新增IpnLog
     * 
     * @param ipnLog IpnLog
     * @return 结果
     */
    public int insertIpnLog(IpnLog ipnLog);

    /**
     * 修改IpnLog
     * 
     * @param ipnLog IpnLog
     * @return 结果
     */
    public int updateIpnLog(IpnLog ipnLog);

    /**
     * 批量删除IpnLog
     * 
     * @param ids 需要删除的IpnLog主键集合
     * @return 结果
     */
    public int deleteIpnLogByIds(Long[] ids);

    /**
     * 删除IpnLog信息
     * 
     * @param id IpnLog主键
     * @return 结果
     */
    public int deleteIpnLogById(Long id);
}
